gdal2tiles(1)

NAME
gdal2tiles - gdal2tiles.py generates directory with TMS tiles, KMLs and simple web viewers

SYNOPSIS

gdal2tiles.py [-title "Title"] [-publishurl http://yourserver/dir/]
              [-nogooglemaps] [-noopenlayers] [-nokml]
              [-googlemapskey KEY] [-forcekml] [-v]
              input_file [output_dir]

DESCRIPTION

This utility generates a directory with small tiles and metadata, following OSGeo Tile Map Service Specification. Simple web pages with viewers based on Google Maps and OpenLayers are generated as well - so anybody can comfortably explore your maps on-line and you do not need to install or configure any special software (like mapserver) and the map displays very fast in the webbrowser. You only need to upload generated directory into a web server.

GDAL2Tiles creates also necessary metadata for Google Earth (KML SuperOverlay), in case the supplied map uses EPSG:4326 projection.

World files and embedded georeference is used during tile generation, but you can publish a picture without proper georeference too.

-title 'Title':
    Title used for generated metadata, web viewers and KML files.

-publishurl http://yourserver/dir/:
    Address of a directory into which you are going to upload the result. It should end with slash.

-nogooglemaps:
    Do not generate Google Maps based html page.

-noopenlayers:
    Do not generate OpenLayers based html page.

-nokml:
    Do not generate KML files for Google Earth.

-googlemapskey KEY:
    Key for your domain generated on Google Maps API web page (http://www.google.com/apis/maps/signup.html).

-forcekml
    Force generating of KML files. Input file must use EPSG:4326 coordinates!

-v  Generate verbose output of tile generation.

NOTE: gdal2tiles.py is a Python script, and will only work if GDAL was built with Python support.

AUTHORS

Klokan Petr Pridal <klokan@klokan.cz> as a Google SoC 2007 Project.